- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Signals | Public Member Functions | Protected Member Functions | Properties | Friends

# QDialog Class Reference

Search for all occurrences

## Detailed Description

Definition at line 56 of file qdialog.h.

`#include <qdialog.h>`

Inheritance diagram for QDialog:
[legend]

List of all members.

## Public Types
enum | DialogCode { Rejected, Accepted }
## Public Slots
void | open ()
int | exec ()
virtual void | done (int)
virtual void | accept ()
virtual void | reject ()
void | showExtension (bool)
## Signals
void | finished (int result)
void | accepted ()
void | rejected ()
## Public Member Functions
| QDialog (QWidget *parent=0, Qt::WindowFlags f=0)
| ~QDialog ()
int | result () const
void | setVisible (bool visible)
void | setOrientation (Qt::Orientation orientation)
Qt::Orientation | orientation () const
void | setExtension (QWidget *extension)
QWidget * | extension () const
QSize | sizeHint () const
QSize | minimumSizeHint () const
void | setSizeGripEnabled (bool)
bool | isSizeGripEnabled () const
void | setModal (bool modal)
void | setResult (int r)
## Protected Member Functions
| QDialog (QDialogPrivate &, QWidget *parent, Qt::WindowFlags f=0)
void | keyPressEvent (QKeyEvent *)
void | closeEvent (QCloseEvent *)
void | showEvent (QShowEvent *)
void | resizeEvent (QResizeEvent *)
void | contextMenuEvent (QContextMenuEvent *)
bool | eventFilter (QObject *, QEvent *)
void | adjustPosition (QWidget *)
## Properties
bool | sizeGripEnabled
bool | modal
## Friends
class | QPushButton

## Member Enumeration Documentation

enum DialogCode

Search for all occurrences

Enumerator:

  Rejected | Search for all occurrences
  Accepted | Search for all occurrences

Definition at line 72 of file qdialog.h.

    { Rejected, Accepted };

## Constructor & Destructor Documentation

QDialog | ( | QWidget * | parent = `0`,
|  | Qt::WindowFlags | f = `0`
| ) |  | `[explicit]`

~QDialog | ( |  | ) |

QDialog | ( | QDialogPrivate & | ,
|  | QWidget * | parent,
|  | Qt::WindowFlags | f = `0`
| ) |  | `[protected]`

## Member Function Documentation

int result | ( |  | ) | const

Search for all occurrences

void setVisible | ( | bool | visible | ) | `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QColorDialog, QFileDialog, QFontDialog, QInputDialog, QPrintPreviewDialog, and QWizard.

void setOrientation | ( | Qt::Orientation | orientation | ) |

Search for all occurrences

Qt::Orientation orientation | ( |  | ) | const

Search for all occurrences

void setExtension | ( | QWidget * | extension | ) |

Search for all occurrences

QWidget* extension | ( |  | ) | const

Search for all occurrences

QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QInputDialog, QMessageBox, QProgressDialog, and QWizard.

QSize minimumSizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QInputDialog.

void setSizeGripEnabled | ( | bool |  | ) |

Search for all occurrences

bool isSizeGripEnabled | ( |  | ) | const

Search for all occurrences

void setModal | ( | bool | modal | ) |

Search for all occurrences

void setResult | ( | int | r | ) |

Search for all occurrences

void finished | ( | int | result | ) | `[signal]`

Search for all occurrences

void accepted | ( |  | ) | `[signal]`

Search for all occurrences

void rejected | ( |  | ) | `[signal]`

Search for all occurrences

void open | ( |  | ) | `[slot]`

Search for all occurrences

int exec | ( |  | ) | `[slot]`

Search for all occurrences

Reimplemented in QAbstractPageSetupDialog, QAbstractPrintDialog, QPageSetupDialog, and QPrintDialog.

virtual void done | ( | int |  | ) | `[virtual, slot]`

Search for all occurrences

Reimplemented in QAbstractPageSetupDialog, QColorDialog, QErrorMessage, QFileDialog, QFontDialog, QInputDialog, QPrintDialog, QPrintPreviewDialog, and QWizard.

virtual void accept | ( |  | ) | `[virtual, slot]`

Search for all occurrences

Reimplemented in QFileDialog.

virtual void reject | ( |  | ) | `[virtual, slot]`

Search for all occurrences

void showExtension | ( | bool |  | ) | `[slot]`

Search for all occurrences

void keyPressEvent | ( | QKeyEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QMessageBox.

void closeEvent | ( | QCloseEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QMessageBox, and QProgressDialog.

void showEvent | ( | QShowEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QMessageBox, and QProgressDialog.

void resizeEvent | ( | QResizeEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in EnlargedCurveEditor, QMessageBox, QProgressDialog, and QWizard.

void contextMenuEvent | ( | QContextMenuEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

bool eventFilter | ( | QObject * | ,
|  | QEvent * |
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

void adjustPosition | ( | QWidget * |  | ) | `[protected]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QPushButton `[friend]`

Search for all occurrences

Definition at line 59 of file qdialog.h.

## Property Documentation

bool sizeGripEnabled `[read, write]`

Search for all occurrences

Definition at line 61 of file qdialog.h.

bool modal `[read, write]`

Search for all occurrences

Reimplemented from QWidget.

Definition at line 62 of file qdialog.h.

The documentation for this class was generated from the following file:

- QtGui/qdialog.h

QDialog QDialog QDialog QDialog QDialog QDialog QDialog QDialog QDialog QDialog
QDialog QDialog QDialog QDialog QDialog QDialog QDialog QDialog QDialog QDialog